%define upstream_name    Dist-Zilla-PluginBundle-FLORA
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Build your distributions like FLORA does
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaResources) >= 3.0.0
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl) >= 1.6.0
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Test::EOL) >= 0.140.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::NewVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Test::NoTabs) >= 0.80.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::ReportPrereqs) >= 0.19.0
BuildRequires: perl(Dist::Zilla::PluginBundle::Basic)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Config::Slicer)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::PluginRemover) >= 0.103.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Method::Signatures::Simple)
BuildRequires: perl(Moose) >= 1.0.0
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types::Email)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Structured) >= 0.200.0
BuildRequires: perl(MooseX::Types::URI)
BuildRequires: perl(Pod::Weaver::PluginBundle::FLORA) >= 0.30.0
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the the Dist::Zilla manpage configuration I use to build my
distributions.

It is roughly equivalent to:

  [@Filter]
  bundle = @Basic

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-2.mga6
+ Revision: 1025969
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.170.0-1.mga6
+ Revision: 1007725
- update to 0.17

* Fri Feb 19 2016 umeabot <umeabot> 0.160.0-2.mga6
+ Revision: 969067
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 861321
- update to 0.16

* Mon Jul 06 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 852005
- update to 0.15

* Sun Oct 19 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 789561
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 749502
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 511266
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 366638
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.14

* Tue Mar 15 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 71864
- imported package perl-Dist-Zilla-PluginBundle-FLORA


* Tue Mar 15 2011 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
